Content-Security-Policy: default-src 'none'
Content-Type: text/plain; charset=UTF-8
Content-Length: 3126
Content-Disposition: inline; filename="hardware.scm"
Last-Modified: Tue, 11 Feb 2025 07:56:41 GMT
Expires: Fri, 09 Feb 2035 07:56:41 GMT
ETag: "cd1a1767d820745592e5422b509c465d803db1cf"

;;; GNU Guix --- Functional package management for GNU
;;; Copyright © 2022 Ludovic Courtès <ludo@gnu.org>
;;;
;;; This file is part of GNU Guix.
;;;
;;; GNU Guix is free software; you can redistribute it and/or modify it
;;; under the terms of the GNU General Public License as published by
;;; the Free Software Foundation; either version 3 of the License, or (at
;;; your option) any later version.
;;;
;;; GNU Guix is distributed in the hope that it will be useful, but
;;; WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.

(define-module (gnu installer hardware)
  #:use-module (gnu build linux-modules)
  #:use-module (guix i18n)
  #:use-module (srfi srfi-1)
  #:use-module (srfi srfi-71)
  #:export (unsupported-pci-device?
            pci-device-description))

(define %unsupported-linux-modules
  ;; List of Linux modules tha</td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=01ba2a24d2f9bb8a87250fb1f77fcda5cfcebd01'>refs</a><a href='/guix/log/etc/guix-publish.conf.in'>log</a><a href='/guix/tree/etc/guix-publish.conf.in?id=01ba2a24d2f9bb8a87250fb1f77fcda5cfcebd01'>tree</a><a class='active' href='/guix/commit/etc/guix-publish.conf.in?id=01ba2a24d2f9bb8a87250fb1f77fcda5cfcebd01'>commit</a><a href='/guix/diff/etc/guix-publish.conf.in?id=01ba2a24d2f9bb8a87250fb1f77fcda5cfcebd01'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/etc/guix-publish.conf.in'>
<input type='hidden' name='id' value='01ba2a24d2f9bb8a87250fb1f77fcda5cfcebd01'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/commit/?id=01ba2a24d2f9bb8a87250fb1f77fcda5cfcebd01'>root</a>/<a href='/guix/commit/etc?id=01ba2a24d2f9bb8a87250fb1f77fcda5cfcebd01'>etc</a>/<a href='/guix/commit/etc/guix-publish.conf.in?id=01ba2a24d2f9bb8a87250fb1f77fcda5cfcebd01'>guix-publish.conf.in</a></div><div class='content'><div class='cgit-panel'><b>diff options</b><form method='get'><input type='hidden' name='id' value='01ba2a24d2f9bb8a87250fb1f77fcda5cfcebd01'/><table><tr><td colspan='2'/></tr><tr><td class='label'>context:</td><td class='ctrl'><select name='context' onchange='this.form.submit();'><option value='1'>1</option><option value='2'>2</option><option value='3' selected='selected'>3</option><option value='4'>4</option><option value='5'>5</option><option value='6'>6</option><option value='7'>7</option><option value='8'>8</option><option value='9'>9</option><option value='10'>10</option><option value='15'>15</option><option value='20'>20</option><option value='25'>25</option><option value='30'>30</option><option value='35'>35</option><option value='40'>40</option></select></td></tr><tr><td class='label'>space:</td><td class='ctrl'><select name='ignorews' onchange='this.form.submit();'><option value='0' selected='selected'>include</option><option value='1'>ignore</option></select></td></tr><tr><td class='label'>mode:</td><td class='ctrl'><select name='dt' onchange='this.form.submit();'><option value='0' selected='selected'>unified</option><option value='1'>ssdiff</option><option value='2'>stat only</option></select></td></tr><tr><td/><td class='ctrl'><noscript><input type='submit' value='reload'/></noscript></td></tr></table></form></div><table summary='commit info' class='commit-info'>
<tr><th>author</th><td>Ricardo Wurmus &lt;rekado@elephly.net&gt;</td><td class='right'>2023-04-28 17:59:47 +0200</td></tr>
<tr><th>committer</th><td>Ricardo Wurmus &lt;rekado@elephly.net&gt;</td><td class='right'>2023-04-29 20:09:33 +0200</td></tr>
<tr><th>commit</th><td colspan='2' class='oid'><a href='/guix/commit/etc/guix-publish.conf.in?id=01ba2a24d2f9bb8a87250fb1f77fcda5cfcebd01'>01ba2a24d2f9bb8a87250fb1f77fcda5cfcebd01</a> (<a href='/guix/patch/etc/guix-publish.conf.in?id=01ba2a24d2f9bb8a87250fb1f77fcda5cfcebd01'>patch</a>)</td></tr>
<tr><th>tree</th><td colspan='2' class='oid'><a href='/guix/tree/?id=01ba2a24d2f9bb8a87250fb1f77fcda5cfcebd01'>5f2dc77592df00b8fefb64b3a8b9e09a22117290</a> /<a href='/guix/tree/etc/guix-publish.conf.in?id=01ba2a24d2f9bb8a87250fb1f77fcda5cfcebd01'>etc/guix-publish.conf.in</a></td></tr>
<tr><th>parent</th><td colspan='2' class='oid'><a href='/guix/commit/etc/guix-publish.conf.in?id=9b305554a311ad5afb664cb0fac01f03fed1814d'>9b305554a311ad5afb664cb0fac01f03fed1814d</a> (<a href='/guix/diff/etc/guix-publish.conf.in?id=01ba2a24d2f9bb8a87250fb1f77fcda5cfcebd01&amp;id2=9b305554a311ad5afb664cb0fac01f03fed1814d'>diff</a>)</td></tr><tr><th>download</th><td colspan='2' class='oid'><a href='/guix/snapshot/guix-01ba2a24d2f9bb8a87250fb1f77fcda5cfcebd01.tar.gz'>guix-01ba2a24d2f9bb8a87250fb1f77fcda5cfcebd01.tar.gz</a><br/><a href='/guix/snapshot/guix-01ba2a24d2f9bb8a87250fb1f77fcda5cfcebd01.zip'>guix-01ba2a24d2f9bb8a87250fb1f77fcda5cfcebd01.zip</a><br/></td></tr></table>
<div class='commit-subject'>gnu: r-dama: Update to 1.72.0.</div><div class='commit-msg'>* gnu/packages/bioconductor.scm (r-dama): Update to 1.72.0.
</div><div class='diffstat-header'><a href='/guix/diff/?id=01ba2a24d2f9bb8a87250fb1f77fcda5cfcebd01'>Diffstat</a> (limited to 'etc/guix-publish.conf.in')</div><table summary='diffstat' class='diffstat'></table><div class='diffstat-summary'>0 files changed, 0 insertions, 0 deletions</div><table summary='diff' class='diff'><tr><td></td></tr></table></div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>
